"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const index_1 = require("../src/index");
const chai_1 = require("chai");
mocha_1.describe("IsNullOrEmpty", () => {
    mocha_1.it("apply \"\" returns true", () => {
        chai_1.expect(index_1.IsNullOrEmpty("")).to.equal(true);
    });
    mocha_1.it("apply `some string` returns false", () => {
        chai_1.expect(index_1.IsNullOrEmpty("some string")).to.equal(false);
    });
    mocha_1.it("apply null returns false", () => {
        chai_1.expect(index_1.IsNullOrEmpty(null)).to.equal(true);
    });
    mocha_1.it("apply [] returns false", () => {
        chai_1.expect(index_1.IsNullOrEmpty([])).to.equal(true);
    });
    mocha_1.it("apply undefinded returns false", () => {
        chai_1.expect(index_1.IsNullOrEmpty(undefined)).to.equal(true);
    });
    mocha_1.it("apply legth > 0 array returns false", () => {
        chai_1.expect(index_1.IsNullOrEmpty(["some"])).to.equal(false);
    });
    mocha_1.it("apply legth > 0 array returns false", () => {
        chai_1.expect(index_1.IsNullOrEmpty([null])).to.equal(false);
    });
});
mocha_1.describe("IsNullOrEmptyString", () => {
    mocha_1.it("apply undefinded returns true", () => {
        chai_1.expect(index_1.IsNullOrEmptyString(undefined)).to.equal(true);
    });
    mocha_1.it("apply \"\" returns true", () => {
        chai_1.expect(index_1.IsNullOrEmptyString("")).to.equal(true);
    });
    mocha_1.it("apply `some string` returns false", () => {
        chai_1.expect(index_1.IsNullOrEmptyString("some string")).to.equal(false);
    });
});
mocha_1.describe("IsNullOrEmptyArray", () => {
    mocha_1.it("apply [] returns false", () => {
        chai_1.expect(index_1.IsNullOrEmptyArray([])).to.equal(true);
    });
    mocha_1.it("apply undefinded returns false", () => {
        chai_1.expect(index_1.IsNullOrEmptyArray(undefined)).to.equal(true);
    });
    mocha_1.it("apply legth > 0 array returns false", () => {
        chai_1.expect(index_1.IsNullOrEmptyArray(["some"])).to.equal(false);
    });
    mocha_1.it("apply legth > 0 array returns false", () => {
        chai_1.expect(index_1.IsNullOrEmptyArray([null])).to.equal(false);
    });
});
mocha_1.describe("isArray", () => {
    mocha_1.it("undefinded is not Array", () => {
        chai_1.expect(index_1.isArray(undefined)).to.equal(false);
    });
    mocha_1.it("boolean is not Array", () => {
        chai_1.expect(index_1.isArray(false)).to.equal(false);
        chai_1.expect(index_1.isArray(true)).to.equal(false);
    });
    mocha_1.it("string is not Array", () => {
        chai_1.expect(index_1.isArray("I am string")).to.equal(false);
    });
    mocha_1.it("function is not Array", () => {
        chai_1.expect(index_1.isArray("I am string")).to.equal(false);
    });
    mocha_1.it("object literal is not Array", () => {
        chai_1.expect(index_1.isArray({})).to.equal(false);
    });
    mocha_1.it("empty array literal `is` Array", () => {
        chai_1.expect(index_1.isArray([])).to.equal(true);
    });
    mocha_1.it("some elements array literal `is` Array", () => {
        chai_1.expect(index_1.isArray([1, "string"])).to.equal(true);
    });
    mocha_1.it("array from Array constructor `is` Array", () => {
        chai_1.expect(index_1.isArray(new Array(3))).to.equal(true);
        chai_1.expect(index_1.isArray(new Array(3, 3))).to.equal(true);
        chai_1.expect(index_1.isArray(new Array("string"))).to.equal(true);
        chai_1.expect(index_1.isArray(new Array("string", "is"))).to.equal(true);
    });
});
